Package: org.apache.groovy.parser.antlr4

## [Java] Class GroovyParser.AssertStatementContext

- org.apache.groovy.parser.antlr4.GroovyParser.AssertStatementContext

-     public static class GroovyParser.AssertStatementContext
      extends GroovyParser.GroovyParserRuleContext

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `GroovyParser.ExpressionContext` | `ce` |
    `GroovyParser.ExpressionContext` | `me` |

  - ### Constructor Summary

    Constructors
    Constructor and description
    `AssertStatementContext(ParserRuleContext parent, int invokingState)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public TerminalNode` | `ASSERT()`
    `` | `public TerminalNode` | `COLON()`
    `` | `public TerminalNode` | `COMMA()`
    `<Result>` | `public Result` | `accept(ParseTreeVisitor<? extends Result> visitor)`
    `` | `public List<? extends ExpressionContext>` | `expression()`
    `` | `public GroovyParser.ExpressionContext` | `expression(int i)`
    `` | `public int` | `getRuleIndex()`
    `` | `public List<? extends NlsContext>` | `nls()`
    `` | `public GroovyParser.NlsContext` | `nls(int i)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class GroovyParser.GroovyParserRuleContext` | `getMetaDataMap, setMetaDataMap`

- - ### Field Detail

    - #### public GroovyParser.ExpressionContext ce

    - #### public GroovyParser.ExpressionContext me

  - ### Constructor Detail

    - #### public AssertStatementContext(ParserRuleContext parent, int invokingState)

  - ### Method Detail

    - #### public TerminalNode ASSERT()

    - #### public TerminalNode COLON()

    - #### public TerminalNode COMMA()

    - #### <Result> public Result accept(ParseTreeVisitor<? extends Result> visitor)

    - #### public List<? extends ExpressionContext> expression()

    - #### public GroovyParser.ExpressionContext expression(int i)

    - #### public int getRuleIndex()

    - #### public List<? extends NlsContext> nls()

    - #### public GroovyParser.NlsContext nls(int i)